gstreamermm: Gst::DiscovererAudioInfo Class Reference

gstreamermm 0.10.10.1

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Related Functions
Gst::DiscovererAudioInfo Class Reference

DiscovererAudioInfo - Gst::DiscovererStreamInfo specific to audio streams. More...

Inheritance diagram for Gst::DiscovererAudioInfo:
[legend]
Collaboration diagram for Gst::DiscovererAudioInfo:
[legend]

List of all members.

## Public Member Functions
virtual | ~DiscovererAudioInfo ()
GstDiscovererAudioInfo* | gobj ()
| Provides access to the underlying C GstMiniObject.
const GstDiscovererAudioInfo* | gobj () const
| Provides access to the underlying C GstMiniObject.
GstDiscovererAudioInfo* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
guint | get_bitrate () const
guint | get_channels () const
guint | get_depth () const
guint | get_max_bitrate () const
guint | get_sample_rate () const
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::DiscovererAudioInfo > | wrap (GstDiscovererAudioInfo* object, bool take_copy=false)

## Detailed Description

DiscovererAudioInfo - Gst::DiscovererStreamInfo specific to audio streams.

## Constructor & Destructor Documentation

virtual Gst::DiscovererAudioInfo::~DiscovererAudioInfo | ( |  | ) | `[virtual]`

## Member Function Documentation

guint Gst::DiscovererAudioInfo::get_bitrate | ( |  | ) | const

Returns:
  The average or nominal bitrate of the stream in bits/second.

guint Gst::DiscovererAudioInfo::get_channels | ( |  | ) | const

Returns:
  The number of channels in the stream.

guint Gst::DiscovererAudioInfo::get_depth | ( |  | ) | const

Returns:
  The number of bits used per sample in each channel.

guint Gst::DiscovererAudioInfo::get_max_bitrate | ( |  | ) | const

Returns:
  The maximum bitrate of the stream in bits/second.

guint Gst::DiscovererAudioInfo::get_sample_rate | ( |  | ) | const

Returns:
  The sample rate of the stream in Hertz.

const GstDiscovererAudioInfo* Gst::DiscovererAudioInfo::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

GstDiscovererAudioInfo* Gst::DiscovererAudioInfo::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GstMiniObject.

Reimplemented from Gst::DiscovererStreamInfo.

GstDiscovererAudioInfo* Gst::DiscovererAudioInfo::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::DiscovererStreamInfo.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DiscovererAudioInfo > wrap | ( | GstDiscovererAudioInfo * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

Parameters:

  object | The C instance
  take_copy | false if the result should take ownership of the C instance. true if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/discovererinfo.h